@mixin app-primary-service-agreement-population-theme($theme) {
    $primary: map-get($theme, primary);
    $warn: map-get($theme, warn);
    $accent: map-get($theme, accent);
  
    app-primary-service-agreement-population {
      width: 100%;
      padding: 5px;
      overflow-x: hidden;
    }
  
    .primary-service-agreement-population {
      margin-top: 25px !important;
      display: flex;
      flex-direction: column;
      padding: 5px;
      background-color: mat-color($primary, 50);
  
      .cap-main-card {
        display: flex;
        flex-direction: column;
        padding: 0px;
        background-color: mat-color($primary, 50);
  
        .mat-card-header {
          width: 100%;
  
          .header-banner {
            display: flex;
            background-color: white;
            border: 2px solid mat-color($primary, 100);
            border-radius: 5px;
            padding: 10px 10px;
            margin-top: 10px;
            margin-bottom: 20px;
            font-size: 0.9em;
  
            span {
              cursor: pointer;
              display: flex;
              flex: auto;
              margin-right: 15px;
              align-items: flex-end;
            }
  
            span:hover {
              color: mat-color($accent);
            }
          }
        }
  
        .mat-card-content {
          .example-small-box {
            display: flex;
            align-items: center;
            justify-content: center;
            background: white;
  
            .table-filters-header {
              width: 100%;
              background-color: white;
              border: 1px solid #eaf0fb;
  
              .table-top-icons {
                mat-icon {
                  padding: 5px;
                }
  
                mat-icon:hover {
                  cursor: pointer;
                  // color: #FF5722;
                  color: mat-color($warn);
                }
              }
            }
  
            .example-container {
              width: 100%;
              margin-right: 10px;
              margin-left: 10px;
  
              .ag-header-cell-text {
                overflow: visible;
                text-overflow: unset;
                white-space: normal;
              }
  
              .referral-hold {
                text-align: left;
  
                .color-grade {
                  padding: 1px 20px;
                  margin: 10px;
                  line-height: 30px;
                  background-color: #FFB74D;
                  border-radius: 10px;
                }
              }
  
              /* cap-coc-icon is the cell renderer(component) created to adjust coc icon inside ag grid cell 
                below is the style to fix the icon in place */
              .cap-coc-icon {
                .mat-badge-medium.mat-badge-after .mat-badge-content {
                  right: -22px;
                }
  
                .mat-badge-medium.mat-badge-above .mat-badge-content {
                  top: -10px;
                }
  
                .mat-badge-medium .mat-badge-content {
                  width: 24px;
                  height: 14px;
                  line-height: 12px;
                  background-color: #D0D3D4;
                  // background: linear-gradient(to right, #F0F3F4, #D7DBDD, #ECF0F1 30%, mat-color($primary, 300) 70%);
                  font-size: 0.7em;
                  // border: 1px solid;
                  border-radius: 10px;
                  color: black;
                }
              }
  
              .cap-info-icon {
                .mat-icon {
                  font-size: 1.4em;
                  color: mat-color($primary);
                }
  
                .mat-tooltip-panel {
                  padding-top: 0px;
                }
              }
            }
          }
        }
      }
    }
  }
  